
Redmine - Defect #21464

List issues 

2015-12-09 12:13 - Daniel Müller

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

I've updated redmine from 3.1.1 to 3.2.0 a few minutes ago and created a test project with name test. Then I've added a new issue

and clicked on ticket tab to list all tickets:

Internal error

An error occurred on the page you were trying to access.

 If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

 Here is the logfile part:

Started GET "/projects/test/issues" for xxx.xxx.xxx.xxx at 2015-12-09 12:05:09 +0100

Processing by IssuesController#index as HTML

  Parameters: {"project_id"=>"test"}

  Current user: admin (id=1)

Completed 500 Internal Server Error in 13ms (ActiveRecord: 2.9ms)

NoMethodError (undefined method `issue_list_default_totals' for #<Class:0x00000004ee55f8>):

  app/models/query.rb:514:in `totalable_names'

  app/helpers/queries_helper.rb:220:in `retrieve_query'

  app/controllers/issues_controller.rb:46:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 Version:

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Mercurial                      2.8.2

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2015-12-09 12:20 - Daniel Müller

Calling the settings ends up in the same result:

Started GET "/settings" for xxx.xxx.xxx.xxx at 2015-12-09 12:18:44 +0100

Processing by SettingsController#index as HTML

  Current user: admin (id=1)
  Rendered settings/_general.html.erb (2.4ms)

  Rendered settings/_display.html.erb (2.9ms)

  Rendered settings/_authentication.html.erb (2.2ms)

  Rendered settings/_api.html.erb (0.5ms)

  Rendered settings/_projects.html.erb (3.6ms)

  Rendered queries/_columns.html.erb (1.8ms)

  Rendered settings/_issues.html.erb (5.6ms)

  Rendered common/_tabs.html.erb (19.5ms)

  Rendered settings/edit.html.erb within layouts/admin (19.7ms)

Completed 500 Internal Server Error in 26ms (ActiveRecord: 2.7ms)

ActionView::Template::Error (undefined method `issue_list_default_totals' for #<Class:0x00000004ee55f8>):

    40:         :name => 'settings[issue_list_default_columns]') %>

    41:

    42:   <p><%= setting_multiselect :issue_list_default_totals,

    43:            IssueQuery.new(:totalable_names => Setting.issue_list_default_totals).available_totalable_c

olumns.map {|c| [c.caption, c.name.to_s]},

    44:            :inline => true,

    45:            :label => :label_total_plural %></p>

    46: </fieldset>

  app/views/settings/_issues.html.erb:43:in `block in _app_views_settings__issues_html_erb___42990374043750398

18_69901548585860'

  app/views/settings/_issues.html.erb:1:in `_app_views_settings__issues_html_erb___4299037404375039818_6990154

8585860'

  app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb___1104878686609039797_69901

548017320'

  app/views/common/_tabs.html.erb:21:in `each'

  app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb___1104878686609039797_69901548017320

'

  app/helpers/application_helper.rb:324:in `render_tabs'

  app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb___2060341477329375037_6990155356280

0'

  app/controllers/settings_controller.rb:30:in `index'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#2 - 2015-12-09 18:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Make sure that you have a fresh and up-to-date config/settings.yml (please make no change to this file) then restart the app.
